GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
List of all members
gridfire::exceptions::MissingSeedSpeciesError Class Referencefinal

Exception thrown when a required seed species is not found in the initial composition. More...

`#include <error_policy.h>`

Inheritance diagram for gridfire::exceptions::MissingSeedSpeciesError:
[legend]
Collaboration diagram for gridfire::exceptions::MissingSeedSpeciesError:
[legend]

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception thrown when a required seed species is not found in the initial composition.

This error occurs when a `NetworkPolicy` is initialized with a composition that lacks one or more of the essential species needed to construct the network.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_policy.h